/*
*********************************************************************************
*                                                                               *
* NOTICE:                                                                       *
* This document contains information that is confidential and proprietary to    *
* RADVision LTD.. No part of this publication may be reproduced in any form     *
* whatsoever without written prior approval by RADVision LTD..                  *
*                                                                               * 
* RADVision LTD. reserves the right to revise this publication and make changes *
* without obligation to notify any person of such revisions or changes.         *    
* Copyright RADVision 1996.                                                     *
* Last Revision: Jan. 2000                                                      *
*********************************************************************************
*/

/* File : h245.c */
 
#ifdef __cplusplus
extern "C" {
#endif

#ifndef WIN32
#include <windows.h>
#endif

#include <cm.h>

#include "rvcommon.h"

#include "mci_types.h"
#include "mci_report.h"

#include "gkadd.h"
#include "gkrgi.h"
#include "gkcci.h"

#include "mci_call.h"
#include "mci_general.h"
#include "gkmc.h"
#include "mcgki.h"
#include "mcconfig.h"
#include "h245.h"


UINT32 mcInitH245 (mciMcHandleType hMc, void* context)
{
	return mcgkiInitialize (hMc, context);
}


#ifdef __cplusplus
}
#endif /* __cplusplus*/
