/*
*********************************************************************************
*                                                                               *
* NOTICE:                                                                       *
* This document contains information that is confidential and proprietary to    *
* RADVision LTD.. No part of this publication may be reproduced in any form     *
* whatsoever without written prior approval by RADVision LTD..                  *
*                                                                               * 
* RADVision LTD. reserves the right to revise this publication and make changes *
* without obligation to notify any person of such revisions or changes.         *    
* Copyright RADVision 1996.                                                     *
* Last Revision: Jan. 2000                                                      *
*********************************************************************************
*/

/*____________________________________________________________________
|                                                                    |
|                            mcmain.h                                |
|                           ------------                             |
|   Header file for MC-Win                                           |
|                                                                    |
|   1st ver:   3-11-99 :                                             |
|                                                                    |
|____________________________________________________________________|*/

#ifndef _MCMAIN_H
#define _MCMAIN_H
/*-----------------*/
/*   CONSTANTS     */
/*-----------------*/


#define END_MC  1 /*returned from mcconfig to mcmain*/

#define INVALID_HANDLE  1 /*send to refresh functions when the handle is invalid*/
#define VALID_HANDLE  0 /*send to refresh functions when the handle is valid*/


BOOL CALLBACK logOptionsWndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);

MciRV CALLCONV mcOutputMsg (IN UINT32 logClass, IN const char* msg);


/*static void mcWinReport (IN UINT32 logClass,
						 IN char* msgStr, IN const char* fileName, IN int line);
*//*performs the hit_Test:
if successful return value is true, and lvItem->iItem will contatin the item that was hit.
otherwise FALSE is returned*/
BOOL apputilHitTestItem(IN HWND hList,OUT LV_ITEM *lvItem);

/*mcapi.c*/
RVAPI 
MciRV CALLCONV mciCallCapName(IN  mciCapType cap,
								OUT const char** capName); 

RVAPI 
MciRV CALLCONV mciChanProtocolByName(IN const char * protocolName,
								OUT mciMediaProtocolType * protocol); 
RVAPI 
MciRV CALLCONV mciChanMediaByName(IN const char * mediaName,
								OUT mciMediaType * media); 

RVAPI 
MciRV CALLCONV mciLogLevelByName(IN const char * logLevelName,
								OUT logLevel_t * logLevel); 

void refreshConferenceDetails(HWND hWnd);
void getMcMainHwnd(HWND *hWnd);



#endif
