#ifdef __cplusplus
extern "C" {
#endif



/*

NOTICE:
This document contains information that is proprietary to RADVision LTD.
No part of this publication may be reproduced in any form whatsoever without 
written prior approval by RADVision LTD.

RADVision LTD. reserves the right to revise this publication and make changes 
without obligation to notify any person of such revisions or changes.

*/ 


#ifndef __CMCFGRT_H
#define __CMCFGRT_H



#include <rvcommon.h>

RVAPI 
void CALLCONV cmGetCfgRootNameList(
                IN      HAPP                hApp,
                OUT     int *               count,
                OUT     const char ***      list);

RVAPI 
const char * CALLCONV cmGetAsnNameFromCfgName(
                IN      HAPP                hApp,
                IN      const char *        rootName);

RVAPI 
const char * CALLCONV cmGetCfgNameFromAsnName(
                IN      HAPP                hApp,
                IN      const char *        asnName);




#endif  /* __CMCFGRT_H */
#ifdef __cplusplus
}              
#endif



