#ifdef __cplusplus
extern "C" {
#endif



/*

NOTICE:
This document contains information that is proprietary to RADVision LTD..
No part of this publication may be reproduced IN  any form whatsoever without 
written prior approval by RADVision LTD..

RADVision LTD. reserves the right to revise this publication and make changes 
without obligation to notify any person of such revisions or changes.

*/

#ifndef __SELI_H
#define __SELI_H

#pragma warning(push,3)
#include <windows.h>
#pragma warning(pop)
#include <rvcommon.h>

typedef enum {
  seliEvRead=0x01,
  seliEvWrite=0x02,
  seliEvExept=0x04
} seliEvents;

	
RVAPI
void CALLCONV seliSelect(void); 

typedef void (CALLCONV *seliCallback)(int fd, seliEvents sEvent, BOOL error);
RVAPI
int CALLCONV seliCallOn(int fd, seliEvents sEvent, seliCallback _callback);

    

#endif /* __SELI_H */
#ifdef __cplusplus
}              
#endif
