/*
*********************************************************************************
*                                                                               *
* NOTICE:                                                                       *
* This document contains information that is confidential and proprietary to    *
* RADVision LTD.. No part of this publication may be reproduced in any form     *
* whatsoever without written prior approval by RADVision LTD..                  *
*                                                                               * 
* RADVision LTD. reserves the right to revise this publication and make changes *
* without obligation to notify any person of such revisions or changes.         *    
* Copyright RADVision 1996.                                                     *
* Last Revision: Jan. 2000                                                      *
*********************************************************************************
*/

/*	File : mcconnectgk.h
	 handles the connection with the Mc Application
*/

#ifndef _GKCONNECTMC_
#define _GKCONNECTMC_

#include "mci_types.h"
#include "mcgki.h"


/*	Establish a connection to an MC Server.
	Return Value : SUCCESS or FAILURE.
*/
BOOL CALLCONV mcConnectToGK (IN  mciMcHandleType hMc,
							  OUT mcgkConnHandle* hConn);

/*	Disconnect from MC.
	Return Value : 
*/
BOOL CALLCONV mcDisconnectFromGK (IN mcgkConnHandle hConn);

#endif
