/*
***********************************************************************************

NOTICE:
This document contains information that is proprietary to RADVision LTD..
No part of this publication may be reproduced in any form whatsoever without 
written prior approval by RADVision LTD..

RADVision LTD. reserves the right to revise this publication and make changes 
without obligation to notify any person of such revisions or changes.

***********************************************************************************
*/

/*
  ti.h

  Ron S. 29 Nov. 1995
  Revised 18 Aug. 1996 by ron.
  
  Low level timing mechanism.
  Machine dependant.

  Handle ONE timer.
  Repeated called to timerSet will override the previous calls.
  timeout interval is in mili-seconds.

*/

#ifndef _TIH_
#define _TIH_

#include <rvcommon.h>

RVAPI UINT32 CALLCONV timerGetTimeInMilliseconds(void);
RVAPI UINT32 CALLCONV timerGetTimeInSeconds(void);

#endif
